Subject: Re: [provreg] Launch Phase EPP Extension Version 08/Notifications

From: Klaus Malorny <[email-masked]>
Date: Wed, 03 Apr 2013 17:39:40 +0200

On 28/03/13 14:58, Gould, James wrote:
> Wil Tan, Gavin Brown and I have updated the Launch Phase EPP Extension
> Mapping to Version 08.  You can find the draft at the URL
> http://tools.ietf.org/html/draft-tan-epp-launchphase-08.  This version
> includes the following changes:
>
>     1.  Added support for use of the launch statuses and poll messaging for
> Launch Registrations based on feedback from Sharon Wodjenski and Trung
> Tran.
>     2.  Incorporated changes based on updates or clarifications in
> draft-lozano-tmch-func-spec-01
> <http://tools.ietf.org/html/draft-lozano-tmch-func-spec-01>, which include:
>         1.  Removed the unused <launch:generatedDate> element.
>         2.  Removed the <launch:source> element.
>         3.  Added the <launch:notAfter> element based on the required
> <tmNotice:notAfter> element.
>
> We are hoping that the draft can be stabilized to help with the
> implementations.  Please reply with any feedback.
>
> Thanks,
>
> JG

Hi James,

another topic, another e-mail. I have a comprehension question regarding the 
poll messages, which have actually been introduced in the 07 version (section 
2.4). Do I see this correctly that the poll message for intermediate status 
changes shall include a <domain:infData> element as the base message, as defined 
in RFC 5731, section 3.1.2?

The exact use is unclear to me, the example contains merely ellipses: Shall 
(SHOULD/MAY or other RFC 2119 keywords) it contain the full data, e.g. 
registrant, contacts, ns, status values (which ones?) or would it be sufficient 
to supply only the mandatory elements? Should other extensions be included as 
well, for example for DNSSEC data or IDN variants?

Regards,

Klaus

---

From: "Gould, James" <[email-masked]>
Date: Wed, 3 Apr 2013 16:23:35 +0000

Klaus,

The use of the poll message in draft-tan-epp-launchphase and the
<domain:infData> element for the intermediate statuses it meant to
communicate the launch information.  Including other non-mandatory
information (domain attributes and extensions) is up to server policy, but
is not needed to meet the goal of draft-tan-epp-launchphase.  Is
additional text needed to make this more clear?

-- 
 
JG

James Gould
Principal Software Engineer
[email-masked]
 
703-948-3271 (Office)
12061 Bluemont Way
Reston, VA 20190
VerisignInc.com

On 4/3/13 11:39 AM, "Klaus Malorny" <[email-masked]> wrote:

>_______________________________________________
>provreg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/provreg

---

From: Klaus Malorny <[email-masked]>
Date: Sat, 06 Apr 2013 16:54:35 +0200

Hi James,

> is not needed to meet the goal of draft-tan-epp-launchphase.

> Is additional text needed to make this more clear?

Yes, I would appreciate that. For example:

<OLD TEXT>
...using the <domain:infData> element with the <launch:infData> extension. The 
server MUST insert a <domain:panData> poll message, per [RFC5731], with the 
<launch:infData> extension for the final statuses, including the "allocated" and 
"rejected" statuses...

<NEW TEXT>
...using the <domain:infData> element with the <launch:infData> extension. The 
<domain:infData> element MAY contain non-mandatory information, like contact and 
name server information. Also, further extensions that would normally be 
included in the response of a <domain:info> command [RFC5731], MAY be included. 
However, the server is not required to do so and the client SHOULD NOT assume 
the information to be present.

For the final statuses, including the "allocated" and "rejected" statuses, the 
server MUST insert a <domain:panData> poll message, per [RFC5731], supplemented 
with the <launch:infData> extension...
<END>

I just rearranged the following sentence (incluing a new paragraph) to make it a 
bit more clear that a different aspect is now being discussed.

Regards,

Klaus